<?php

namespace App\Modules\Book\Models;

trait TableSuffix
{
    private static $suffix;

    public static function suffix($suffix)
    {
        static::$suffix = $suffix;
    }

    public function __construct(array $attributes = [])
    {
        $this->table .= static::$suffix;
        parent::__construct($attributes);
    }
}